{
 "api": [
  {
   "body": "if self.tick == nil then\r\n\tself.tick = true\r\nend\r\nself.tick = not self.tick\r\n\r\nif self.tick == true then\r\n\tself.color(\"green\",true)\r\nelse\r\n\tself.color(\"grey\",true)\r\nend",
   "kind": "func",
   "name": "tick_input"
  },
  {
   "attKind": "standard",
   "attReports": {
    "0": "green"
   },
   "body": "self._color = pixcCommon.execAttribute(\"\", self._color, val, doSet)\r\nreturn self._color\r\n",
   "kind": "func",
   "name": "color",
   "params": [
    {
     "name": "val",
     "type": "string"
    },
    {
     "name": "doSet",
     "type": "bool"
    }
   ],
   "result": {
    "name": "result",
    "type": "string"
   }
  }
 ],
 "cjv": {
  "h": 200.0,
  "w": 200.0,
  "x": 309.9749373433584,
  "y": 395.0075187969925
 },
 "definedExternally": false,
 "hostInfo": {
  "systemType": ""
 },
 "libraryExportPath": "C:/ProgramData/AV Stumpfl/Pixera/control_library_user/ColorChanger.json",
 "license": "1GNTlyr7sewU1l3S6nhV4txpQOxz6L5XLIqF3mLNC6li4BDdFtWU6BV7geIrjw5guhRUeM1/AC9pfTNNIMrt69nKtUOFVx3EXDdYSxdRqPJysfWgnOKq52U1C+4QaNyPpUFVvjKlc0+EZMOO3PcTv6mxxlA9wfprZovv/xqAsUM=",
 "name": "ColorChanger",
 "properties": [
  {
   "cont": "false",
   "name": "Auto Init",
   "typeHint": "bool"
  },
  {
   "cont": "true",
   "name": "UI Is Editable",
   "typeHint": "bool"
  },
  {
   "cont": "",
   "name": "Auth Source",
   "typeHint": "string"
  },
  {
   "cont": "",
   "name": "Permissions",
   "typeHint": "string"
  },
  {
   "cont": "{\"isInEditMode\":true,\"pages\":[{\"name\":\"Page1\",\"bgColor\":null,\"components\":[{\"componentId\":\"Circle1\",\"label\":\"\",\"preventFromClick\":false,\"visible\":true,\"fix\":false,\"type\":\"UbControlShapeCircle\",\"bgColor\":\"\",\"dims\":{\"x\":50,\"y\":60,\"width\":90,\"height\":90},\"invoc\":[],\"style\":\"/* Auto generated code START */\\n&.grey{\\n\\tbackground-color: #78787880;\\n\\t\\n}\\n\\n&.green{\\n\\tbackground-color: #12fe0180;\\n\\t\\n}\\n\\n/* Auto generated code END */\\n\",\"styleCache\":\"#ComponentId_Circle1 > .ComponentId_Circle1 {\\n  /* Auto generated code START */\\n  /* Auto generated code END */ }\\n  #ComponentId_Circle1 > .ComponentId_Circle1.grey {\\n    background-color: #78787880; }\\n  #ComponentId_Circle1 > .ComponentId_Circle1.green {\\n    background-color: #12fe0180; }\\n\",\"styleClasses\":[\"grey\"],\"styleActions\":[[{\"kind\":\"interface\",\"name\":\"self\"},{\"kind\":\"func\",\"name\":\"color\",\"params\":[{\"type\":\"string\",\"name\":\"val\"},{\"type\":\"bool\",\"name\":\"doSet\"}]}]]}],\"styleClasses\":[\"\"]},{\"name\":\"-FixPage\"}],\"devicePath\":\"ColorChanger\",\"settings\":{\"inspectorOrientation\":1},\"themeAndDesign\":{\"design\":\"Default\",\"theme\":\"Dark\",\"themes\":{}}}",
   "name": "uib",
   "typeHint": "string"
  }
 ],
 "separateCode": false,
 "uiUrl": "/static/ui_builder/ui_builder.html"
}